aboutsummaryrefslogtreecommitdiffstatshomepage
diff options
context:
space:
mode:
-rwxr-xr-xsrc/password-store.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/src/password-store.sh b/src/password-store.sh
index 6771ab2..db6f4ee 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -160,9 +160,9 @@ case "$command" in
exit 1
fi
if [ $clip -eq 0 ]; then
- exec gpg -q -d --yes "$passfile"
+ exec gpg -q -d --yes --batch "$passfile"
else
- clip "$(gpg -q -d --yes "$passfile" | head -n 1)" "$path"
+ clip "$(gpg -q -d --yes --batch "$passfile" | head -n 1)" "$path"
fi
fi
;;
@@ -248,7 +248,7 @@ case "$command" in
action="Added"
if [[ -f $passfile ]]; then
- gpg -q -d -o "$tmp_file" --yes "$passfile" || exit 1
+ gpg -q -d -o "$tmp_file" --yes --batch "$passfile" || exit 1
action="Edited"
fi
${EDITOR:-vi} "$tmp_file"